import { SmzTreeWithDetailsState } from '../../modules/smz-tree-with-details/models/tree-with-details-state';
import { SmzTreeState } from '../../modules/smz-trees/models/tree-state';
import { TreeNode } from 'primeng/api';
import { Observable } from 'rxjs';
export declare class SmzTreeWithDetailsBuilder {
    _state: SmzTreeWithDetailsState;
    constructor();
    setTree(treeState: SmzTreeState): SmzTreeWithDetailsBuilder;
    setSource(items$: Observable<any>): SmzTreeWithDetailsBuilder;
    addSelectableTypes(...types: string[]): SmzTreeWithDetailsBuilder;
    allowAllNodesToBeClicked(): SmzTreeWithDetailsBuilder;
    setSelectedNode(node: TreeNode): SmzTreeWithDetailsBuilder;
    overrideTreeContainerStyles(styleClass: string): SmzTreeWithDetailsBuilder;
    overridePageContainerStyles(styleClass: string): SmzTreeWithDetailsBuilder;
    overrideDetailsContainerStyles(styleClass: string): SmzTreeWithDetailsBuilder;
    setLocale(language: 'pt-BR' | 'en-US'): SmzTreeWithDetailsBuilder;
    debugMode(): SmzTreeWithDetailsBuilder;
    build(): SmzTreeWithDetailsState;
}
